% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

disp(' ')
disp('*********************************************************************')
disp('*                                                                   *')
disp('*                      DiffEqLab  1.0, 1.2                          *')
disp('*                      ===================                          *')
disp('*                                                                   *')
disp('*          Copyright:   Simo K. Kivel, 29.7.1994, 17.3.1998        *')
disp('*                                                                   *')
disp('* Address: Helsinki University of Technology                        *')
disp('*          Institute of Mathematics                                 *')
disp('*          P.O.Box 1100, FIN-02015 HUT, Finland (Otakaari 1, Espoo) *')
disp('* E-mail:  Simo.Kivela@hut.fi                                       *')
disp('*                                                                   *')
disp('* The package is based on Matlab version 5.0. The same package      *')
disp('* should work on any platform where Matlab is available.            *')
disp('* Some customization may be necessary according to the screen       *')
disp('* resolution and directory structure; see the start file            *')
disp('* diffeq.m .                                                        *')
disp('*                                                                   *')
disp('*-------------------------------------------------------------------*')
disp('*                                                                   *')
disp('* The Package  DiffEqLab  is intended to the study of ordinary      *')
disp('* differential equations of the form  y'' = f(t,y) ,  where  t       *')
disp('* is the independent variable and  y  is the unknown function.      *')
disp('*                                                                   *')
disp('* The function  y  can be a vector valued function, i.e. the        *')
disp('* equation  y'' = f(t,y)   can represent a system of equations.      *')
disp('*                                                                   *')
disp('* Because every (explicit) ordinary differential equation of any    *')
disp('* order can be transformed to a system of first order equations,    *')
disp('* the package covers ordinary differential equations of any order   *')
disp('* ( < 11  for practical reasons).                                   *')
disp('*                                                                   *')
disp('* Several predefined equations or equation systems can be found     *')
disp('* in the libraries. Also, the user is able to define his own        *')
disp('* equations or systems; use the library files as examples and       *')
disp('* write the (ASCII) file with any text editor.                      *')
disp('*                                                                   *')
disp('*********************************************************************')
disp('*                                                                   *')
disp('* Help texts are displayed in the MATLAB Command Window. So, if     *')
disp('* you click HELP and don''t see any help, try to find the Command    *')
disp('* Window.                                                           *')
disp('*                                                                   *')
disp('* The information about computing, singularities etc. is displayed  *')
disp('* in the MATLAB Command Window as well. It could be a good idea to  *')
disp('* put the window in such a position that you can see its lower      *')
disp('* left corner.                                                      *')
disp('*                                                                   *')
disp('*                   HELP for the start box                          *')
disp('*                   ======================                          *')
disp('*                                                                   *')
disp('* 1) You have to choose between two alternatives: a single          *')
disp('*    differential equation or a system of equations.                *')
disp('*                                                                   *')
disp('* 2) You may choose the equation or system by writing its name      *')
disp('*    (= file name without the extension) or by browsing in the      *')
disp('*    libraries or your working directory.                           *')
disp('*                                                                   *')
disp('* 3) Click GO! when you are ready.                                  *')
disp('*********************************************************************')
