% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

%%%%%%%%%%%%%%%%%
% Customization %
%%%%%%%%%%%%%%%%%

% Paths:

DiffEqDr ='.';
          % Directory for the package.
Libr1    ='eqlibr';
          % Directory for the library of single equations.
Libr2    ='syslibr';
          % Directory for the library of systems of equations.

% DiffEqDir ='/p/edu/math/matlab/DiffEqLab';
%         % Directory for the package.
% Libr1     ='/p/edu/math/matlab/DiffEqLab/eqlibr';
%         % Directory for the library of single equations.
% Libr"     ='/p/edu/math/matlab/DiffEqLab/syslibr';
%         % Directory for the library of systems of equations.

% Screen lay-out; choose one

% Screen ='X';
% Screen ='PCWIN';
Screen ='own';

% Colors:

Color='gycmbw';  % Colors cyclically used in plotting different solutions:
                 %    green, yellow, cyan, magenta, blue, white.
DFldCol='r';     % Color used in plotting direction fields: red.

% Position and size for different windows; one case for every supported
% screen:
%
% Position and size are given by a 4 component vector:
% [x_low, y_low, x_side, y_side], i.e. coordinates of the lower left
% corner and lengths of the sides. The numbers are in centimeters.
%
% (*) = Don't change the x_side, y_side values (or the texts will not fit
%       in the box) !

if exist('Screen')~=1, Screen=' ';end
if strcmp(Screen,'PCWIN'),          % PC-Windows
  StartW  =[0.1,0.1,18,8];          %   Starting box (*)
  DirFldW =[0.1,0.1,13,13];         %   Direction field
  Panel1W =[13.5,0.1,5,10];         %   Panel for the single equation case (*)
  TimeDepW=[0.1,0.1,15,10];         %   Time dependence
  PhasePlW=[0.1,6,10,10];           %   Phase plane
  Panel2W =[13,0.1,8,15];           %   Panel for the equation system case (*)
  FntSz =12;                        %   Font size
  GetFile ='gfwin';                 %   Function for opening the file
                                    %     selection box
elseif strcmp(Screen,'X'),          % Unix workstation with X-Windows
  StartW  =[0.1,0.1,18,8];          %   etc.
  DirFldW =[0.1,0.1,18,18];
  Panel1W =[18.5,0.1,5,10];
  TimeDepW=[0.1,0.1,25,12];
  PhasePlW=[11.1,13,14,14];
  Panel2W =[26,0.1,8,15];
  FntSz =10;
  GetFile ='gfhp';
elseif strcmp(Screen,'own'),        % My own window configuration
  StartW  =[0.1,0.1,18,8];          %   etc.
  DirFldW =[0.1,0.1,13,13];
  Panel1W =[13.5,3.1,5,10];
  TimeDepW=[0.1,0.1,15,10];
  PhasePlW=[0.1,6,10,10];
  Panel2W =[13,1,8,15];
  FntSz =12;
  GetFile ='gfwin';
else                                 % Some values for any other screen.
  clc;
  disp(' ');
  disp(['Screen lay-out not defined.']);
  disp(' ');
  StartW  =[0,0,18,8];
  DirFldW =[0,0,10,10];
  Panel1W =[10.5,0,5,10];
  TimeDepW=[0,0,15,10];
  PhasePlW=[0,10,10,10];
  Panel2W =[15,0,8,15];
  FntSz =12;
  GetFile ='gfother';
end;

%%%%%%%%%%%%%%%%%%%%%%%%
% End of customization %
%%%%%%%%%%%%%%%%%%%%%%%%

OldPath=path;
path(Libr2,path);
path(Libr1,path);
path(DiffEqDr,path);

startbox;
