% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

disp(' ');
disp('Computing the direction field ...');
Dx=(Ax(2)-Ax(1))/20;
Dy=(Ax(4)-Ax(3))/20;
D=sqrt(Dx^2+Dy^2);
U=Ax(1):Dx:Ax(2)+eps;
V=Ax(3):Dy:Ax(4)+eps;
[T,Y]=meshgrid(U,V);
T=(T(:))';
Y=(Y(:))';
for K=1:length(T)
   Z(K)=feval(DeqSyst,T(K),Y(K));
end;
Z=(Z(:))';
fi=atan(Z);
rtest=imag(Z)==0;
Elemt=0.3*D*cos(fi).*rtest;
Elemy=0.3*D*sin(fi).*rtest;
line([T-Elemt;T+Elemt],[Y-Elemy;Y+Elemy],'Color',DFldCol,'Linestyle','-',...
   'Parent',DFAxes);
