% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

clear InitPt;

Lns=12; Sp=1/Lns; LNumber=1;
Col1=0.1; Col2=0.2; Col3=0.3; Col4=0.45;
Col5=0.4; Col6=0.6; Col7=0.8; Col8=0.8;
OKWidth=0.2; OKHeight=0.7*Sp; FldWidth=0.18;

Ax = [-3 3 -3 3];

% Direction field window

DirFld=figure('MenuBar','none','NumberTitle','off',...
   'Name','Direction field',...
   'Units','centimeters','Position',DirFldW,...
   'Color','black','DefaultAxesColor','black',...
   'DefaultAxesXColor','white','DefaultAxesYColor','white');

DFAxes=axes('Parent',DirFld,'XLim',Ax(1:2),'Ylim',Ax(3:4),...
   'XGrid','on','YGrid','on');

dirfield;

% Control panel window

Panel1=figure('MenuBar','none','NumberTitle','off',...
   'Name','Control panel',...
   'Units','centimeters','Position',Panel1W,...
   'Color',[0.9,0.9,0.9],...
   'Resize','off');

axes('Units','normalized',...
   'Position',[0,0,1,1],...
   'Visible','off');

% Giving the initial point

text('Units','normal',...
   'Position',[Col1,(Lns-1)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','Initial point');

% ... the initial point by mouse

text('Units','normal',...
   'Position',[Col2,(Lns-2)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','by mouse');

uicontrol('Units','normal',...
   'Position',[Col8,(Lns-2)*Sp,OKWidth,OKHeight],...
   'Style','pushbutton',...
   'String','OK',...
   'CallBack',...
   ['figure(DirFld);',...
    'InitPt=ginput(1);',...
    'compsol1;',...
    'set(TInit,''String'',num2str(InitPt(1)));',...
    'set(YInit,''String'',num2str(InitPt(2)));']);

% ... the initial point numerically

text('Units','normal',...
   'Position',[Col2,(Lns-3)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','numerically');

text('Units','normal',...
   'Position',[Col3,(Lns-4)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','t =');

TInit=uicontrol('Units','normal',...
   'Position',[Col4,(Lns-4)*Sp,1.8*FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit');

text('Units','normal',...
   'Position',[Col3,(Lns-5)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','y =');

YInit=uicontrol('Units','normal',...
   'Position',[Col4,(Lns-5)*Sp,1.8*FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit');

uicontrol('Units','normal',...
   'Position',[Col8,(Lns-5)*Sp,OKWidth,OKHeight],...
   'Style','pushbutton',...
   'String','OK',...
   'CallBack',...
   ['Ok=1;',...
    'Tmp=str2num(get(TInit,''String''));',...
    'if length(Tmp)==1,',...
    '  InitPt(1)=Tmp;',...
    'else',...
    '  Ok=0;',...
    '  if length(InitPt)>=1,',...
    '    set(TInit,''String'',num2str(InitPt(1)));',...
    '  else',...
    '    set(TInit,''String'','''');',...
    '  end;',...
    'end;',...
    'Tmp=str2num(get(YInit,''String''));',...
    'if length(Tmp)==1,',...
    '  InitPt(2)=Tmp;',...
    'else',...
    '  Ok=0;',...
    '  if length(InitPt)==2,',...
    '    set(YInit,''String'',num2str(InitPt(2)));',...
    '  else',...
    '    set(YInit,''String'','''');',...
    '  end;',...
    'end;',...
    'if Ok, compsol1; end;']);

% Plot area / clear

text('Units','normal',...
   'Position',[Col1,(Lns-6)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','Plot area / clear');

text('Units','normal',...
   'Position',[Col2,(Lns-7)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','tlow');

TLow=uicontrol('Units','normal',...
   'Position',[Col5,(Lns-7)*Sp,FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit',...
   'String',num2str(Ax(1)));

text('Units','normal',...
   'Position',[Col6,(Lns-7)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','thigh');

THigh=uicontrol('Units','normal',...
   'Position',[Col7,(Lns-7)*Sp,FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit',...
   'String',num2str(Ax(2)));

text('Units','normal',...
   'Position',[Col2,(Lns-8)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','ylow');

YLow=uicontrol('Units','normal',...
   'Position',[Col5,(Lns-8)*Sp,FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit',...
   'String',num2str(Ax(3)));

text('Units','normal',...
   'Position',[Col6,(Lns-8)*Sp],...
   'VerticalAlignment','bottom',...
   'Color','black',...
   'FontSize',FntSz,...
   'String','yhigh');

YHigh=uicontrol('Units','normal',...
   'Position',[Col7,(Lns-8)*Sp,FldWidth,OKHeight],...
   'BackGroundColor','white',...
   'Style','edit',...
   'String',num2str(Ax(4)));

uicontrol('Units','normal',...
   'Position',[Col8,(Lns-9)*Sp,OKWidth,OKHeight],...
   'Style','pushbutton',...
   'String','OK',...
   'CallBack',...
   ['Ax(1)=str2num(get(TLow,''String''));',...
    'Ax(2)=str2num(get(THigh,''String''));',...
    'Ax(3)=str2num(get(YLow,''String''));',...
    'Ax(4)=str2num(get(YHigh,''String''));',...
    'delete(get(DirFld,''Children''));',...
    'DFAxes=axes(''Parent'',DirFld,''XLim'',Ax(1:2),''Ylim'',Ax(3:4),',...
    '''XGrid'',''on'',''YGrid'',''on'');',...
    'dirfield;']);

% Help

uicontrol('Units','normal',...
   'Position',[0.07,(Lns-11.5)*Sp,0.4,0.1],...
   'Style','pushbutton',...
   'String','HELP',...
   'CallBack','clc;help1');

% Close

uicontrol('Units','normal',...
   'Position',[0.53,(Lns-11.5)*Sp,0.4,0.1],...
   'Style','pushbutton',...
   'String','CLOSE',...
   'CallBack',...
   ['Childs=get(0,''Children'');',...
    'if any(Childs==DirFld), close(DirFld);end;',...
    'if any(Childs==Panel1), close(Panel1);end;']);
