% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

disp(' ')
disp('********************************************************************')
disp('*                                                                  *')
disp('*          HELP for the equation system Control panel              *')
disp('*          ==========================================              *')
disp('*                                                                  *')
disp('* 1) The INITIAL TIME is the value of the independent variable t   *')
disp('*    at which the initial values for the unknown functions are     *')
disp('*    given; the default is  t = 0 . The value can be changed by    *')
disp('*    writing a new one and then clicking OK.                       *')
disp('*                                                                  *')
disp('*    If the order is 2, a direction field is plotted in the Phase  *')
disp('*    plane window. This is computed at the initial time and gives  *')
disp('*    information of the phase plane curve only if the system is    *')
disp('*    autonomous.                                                   *')
disp('*                                                                  *')
disp('* 2) The INITIAL VALUES can be given in two or three ways:         *')
disp('*    a) in the Time dependence window by mouse; choose the alter-  *')
disp('*       native by clicking the OK button and click then the values *')
disp('*       in the Time dependence window; the number of the values is *')
disp('*       equal to the order of the system;                          *')
disp('*    b) in the Phase plane window by mouse, if the order of the    *')
disp('*       system is 2); choose the alternative by clicking the OK    *')
disp('*       button and click then a point in the Phase plane window;   *')
disp('*    c) numerically; write a value for every unknown function and  *')
disp('*       click then OK button.                                      *')
disp('*                                                                  *')
disp('*    When the initial values have been given, the solution is      *')
disp('*    computed and plotted in the Time dependence and in the Phase  *')
disp('*    plane window.                                                 *')
disp('*                                                                  *')
disp('* 3) The solution is computed in some TIME INTERVAL; the default   *')
disp('*    is [-1,7] . The values can be changed by writing new ones     *')
disp('*    and then clicking OK.                                         *')
disp('*                                                                  *')
disp('* 4) The AREA IN THE TIME DEPENDENCE WINDOW can be changed by      *')
disp('*    giving new values for the horizontal axis (tlow, thigh) and   *')
disp('*    the vertical axis (ylow, yhigh); click then OK button. The    *')
disp('*    window will be cleared and the new axes become valid. For     *')
disp('*    only clearing the window, click OK without changing the axis  *')
disp('*    values.                                                       *')
disp('*                                                                  *')
disp('* 5) The AREA IN THE PHASE PLANE WINDOW can be changed by giving   *')
disp('*    new values for the horizontal axis (hlow, hhigh) and vertical *')
disp('*    axis (vlow, vhigh); click then OK button. The window will be  *')
disp('*    cleared and the new axes become valid. For only clearing the  *')
disp('*    window, click OK without changing the axis values.            *')
disp('*                                                                  *')
disp('* 6) Every COMPONENT FUNCTION of the solution can be plotted       *')
disp('*    IN THE TIME DEPENDENCE WINDOW; the default is that they       *')
disp('*    really are plotted, because the string consists of characters *')
disp('*    ''Y''(Yes). If some component is not needed, change the corre-  *')
disp('*    sponding character to ''N'' (No). For example, ''YYNN'' means     *')
disp('*    that for a system of fourth order, only two first components  *')
disp('*    are needed. The number of characters ''Y'' and ''N'' in the       *')
disp('*    string must be equal to the order of the system.              *')
disp('*                                                                  *')
disp('* 7) Only TWO of the COMPONENT FUNCTIONS have a meaning IN THE     *')
disp('*    PHASE PLANE WINDOW; the default string ''1200...'' means that   *')
disp('*    they are the first two, and the first of them has values on   *')
disp('*    the horizontal axis (axis 1), the second one on the vertical  *')
disp('*    axis (axis 2). The string can be changed, but it must always  *')
disp('*    have one ''1'' and one ''2'' and the other characters must be     *')
disp('*    ''0''. For example, ''00210'' means that in a fifth order system, *')
disp('*    the third and fourth component have the meaning, the former   *')
disp('*    has the values on the vertical axis, the latter on the hori-  *')
disp('*    zontal axis.                                                  *')
disp('********************************************************************')
