% File is a part of the package DiffEqLab.
% For documentation, see the file  diffeq.doc.
%
% Version 1.2 for Matlab 5
% Simo K. Kivel, July 1994, January 1997, January 1998, March 1998
%

disp(' ');
disp('Computing the direction field ...');
Dx=(PhasPlAx(2)-PhasPlAx(1))/20;
Dy=(PhasPlAx(4)-PhasPlAx(3))/20;
D=sqrt(Dx^2+Dy^2);
U=PhasPlAx(1):Dx:PhasPlAx(2)+eps;
V=PhasPlAx(3):Dy:PhasPlAx(4)+eps;
[Y1,Y2]=meshgrid(U,V);
Y1=(Y1(:))';
Y2=(Y2(:))';
for K=1:length(Y1);
   Z=feval(DeqSyst,InitPt,[Y1(K);Y2(K)]);
   Nrm=norm(Z,2)+eps;
   Elem1(K)=0.3*D*Z(1)/Nrm*all(imag(Z)==0);
   Elem2(K)=0.3*D*Z(2)/Nrm*all(imag(Z)==0);
end;
line([Y1-Elem1;Y1+Elem1],[Y2-Elem2;Y2+Elem2],'Color',DFldCol,...
   'Linestyle','-','Parent',get(PhasePl,'CurrentAxes'));
